
IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_pro_ejecutor_archivo_id_archivo]') AND parent_object_id = OBJECT_ID(N'[dbo].[pro_ejecutores_archivo]'))
ALTER TABLE [dbo].[pro_ejecutores_archivo] DROP CONSTRAINT [FK_pro_ejecutor_archivo_id_archivo]
GO

IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_pro_ejecutor_archivo_id_ejecutores]') AND parent_object_id = OBJECT_ID(N'[dbo].[pro_ejecutores_archivo]'))
ALTER TABLE [dbo].[pro_ejecutores_archivo] DROP CONSTRAINT [FK_pro_ejecutor_archivo_id_ejecutores]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[DF__pro_ejecu__id_us__1646B4B6]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[pro_ejecutores_archivo] DROP CONSTRAINT [DF__pro_ejecu__id_us__1646B4B6]
END

GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[DF__pro_ejecu__id_us__173AD8EF]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[pro_ejecutores_archivo] DROP CONSTRAINT [DF__pro_ejecu__id_us__173AD8EF]
END

GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[DF__pro_ejecu__fecha__182EFD28]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[pro_ejecutores_archivo] DROP CONSTRAINT [DF__pro_ejecu__fecha__182EFD28]
END

GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[DF__pro_ejecu__fecha__19232161]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[pro_ejecutores_archivo] DROP CONSTRAINT [DF__pro_ejecu__fecha__19232161]
END

GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[DF__pro_ejecu__activ__1A17459A]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[pro_ejecutores_archivo] DROP CONSTRAINT [DF__pro_ejecu__activ__1A17459A]
END

GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[DF__pro_ejecu__revis__1BFF8E0C]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[pro_ejecutores_archivo] DROP CONSTRAINT [DF__pro_ejecu__revis__1BFF8E0C]
END

GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[DF__pro_ejecu__aprob__1CF3B245]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[pro_ejecutores_archivo] DROP CONSTRAINT [DF__pro_ejecu__aprob__1CF3B245]
END

GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[DF__pro_ejecu__fecha__1DE7D67E]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[pro_ejecutores_archivo] DROP CONSTRAINT [DF__pro_ejecu__fecha__1DE7D67E]
END

GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[DF__pro_ejecu__fecha__1EDBFAB7]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[pro_ejecutores_archivo] DROP CONSTRAINT [DF__pro_ejecu__fecha__1EDBFAB7]
END

GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[DF__pro_ejecu__id_ar__1FD01EF0]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[pro_ejecutores_archivo] DROP CONSTRAINT [DF__pro_ejecu__id_ar__1FD01EF0]
END

GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[DF__pro_ejecu__id_ej__20C44329]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[pro_ejecutores_archivo] DROP CONSTRAINT [DF__pro_ejecu__id_ej__20C44329]
END

GO


/****** Object:  Table [dbo].[pro_ejecutor_archivo]    Script Date: 09/05/2016 15:33:22 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[pro_ejecutores_archivo]') AND type in (N'U'))
DROP TABLE [dbo].[cat_catalogo.tempario]
GO


/****** Object:  Table [dbo].[pro_ejecutor_archivo]    Script Date: 09/05/2016 15:33:22 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [dbo].[pro_ejecutores_archivo](
	[id] [int] IDENTITY(0,1) NOT NULL,
	[uid] [varchar](500) NOT NULL,
	[eid] [varchar](50) NOT NULL,
	[id_usuario_modifico] [int] NOT NULL,
	[id_usuario_creo] [int] NOT NULL,
	[fechaModificacion] [datetime] NOT NULL,
	[fechaCreacion] [smalldatetime] NOT NULL,
	[active] [bit] NOT NULL,
	[ejecutores_archivo] [varchar](300) NOT NULL,
	[revisado] [bit] NULL,
	[aprobado] [bit] NULL,
	[fecha_revision] [datetime] NULL,
	[fecha_aprobacion] [datetime] NULL,
	[id_archivo] [int] NOT NULL,
	[id_ejecutores] [int] NOT NULL,
 CONSTRAINT [PK_pro_ejecutores_archivo] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO

ALTER TABLE [dbo].[pro_ejecutores_archivo]  WITH CHECK ADD  CONSTRAINT [FK_pro_ejecutor_archivo_id_archivo] FOREIGN KEY([id_archivo])
REFERENCES [dbo].[gen_archivo] ([id])
GO

ALTER TABLE [dbo].[pro_ejecutores_archivo] CHECK CONSTRAINT [FK_pro_ejecutor_archivo_id_archivo]
GO

ALTER TABLE [dbo].[pro_ejecutores_archivo]  WITH CHECK ADD  CONSTRAINT [FK_pro_ejecutor_archivo_id_ejecutores] FOREIGN KEY([id_ejecutores])
REFERENCES [dbo].[pro_ejecutores] ([id])
GO

ALTER TABLE [dbo].[pro_ejecutores_archivo] CHECK CONSTRAINT [FK_pro_ejecutor_archivo_id_ejecutores]
GO

ALTER TABLE [dbo].[pro_ejecutores_archivo] ADD  DEFAULT ((0)) FOR [id_usuario_modifico]
GO

ALTER TABLE [dbo].[pro_ejecutores_archivo] ADD  DEFAULT ((0)) FOR [id_usuario_creo]
GO

ALTER TABLE [dbo].[pro_ejecutores_archivo] ADD  DEFAULT (getdate()) FOR [fechaModificacion]
GO

ALTER TABLE [dbo].[pro_ejecutores_archivo] ADD  DEFAULT (getdate()) FOR [fechaCreacion]
GO

ALTER TABLE [dbo].[pro_ejecutores_archivo] ADD  DEFAULT ((1)) FOR [active]
GO

ALTER TABLE [dbo].[pro_ejecutores_archivo] ADD  DEFAULT ((0)) FOR [revisado]
GO

ALTER TABLE [dbo].[pro_ejecutores_archivo] ADD  DEFAULT ((0)) FOR [aprobado]
GO

ALTER TABLE [dbo].[pro_ejecutores_archivo] ADD  DEFAULT (((1)/(1))/(1900)) FOR [fecha_revision]
GO

ALTER TABLE [dbo].[pro_ejecutores_archivo] ADD  DEFAULT (((1)/(1))/(1900)) FOR [fecha_aprobacion]
GO

ALTER TABLE [dbo].[pro_ejecutores_archivo] ADD  DEFAULT ((0)) FOR [id_archivo]
GO

ALTER TABLE [dbo].[pro_ejecutores_archivo] ADD  DEFAULT ((0)) FOR [id_ejecutores]
GO


